#!/bin/bash -l
# The above line must be first and must include the "-l"

#SBATCH --job-name=gpu_test
#SBATCH --output=gpu_test.%j.out # %j expands to slurm JobID
#SBATCH --nodes=1
#SBATCH --tasks-per-node=1

# Use "sinfo" to see what partitions are available to you
#SBATCH --partition=dms-gpu
#SBATCH --gres=gpu:1

# Memory required; lower amount gets scheduling priority
#SBATCH --mem-per-node=4G

# Time required in d-hh:mm:ss format; lower time gets scheduling priority
#SBATCH --time=0-01:00:00

# Purge and load the correct modules
module purge > /dev/null 2>&1
module load cuda

# Run the GPU program
srun ./matrixMul
