#!/bin/bash -l
# The above line must be first and must include the "-l"

#SBATCH --job-name=pi_test.ompi
#SBATCH --output=pi_test.ompi.%j.out # %j expands to slurm JobID
#SBATCH --nodes=2
#SBATCH --tasks-per-node=12

# Use "sinfo" to see what partitions are available to you
#SBATCH --partition=dms-short

# Memory required; lower amount gets scheduling priority
#SBATCH --mem-per-node=4G 

# Time required in d-hh:mm:ss format; lower time gets scheduling priority
#SBATCH --time=0-01:00:00

# Purge and load the correct modules
module purge > /dev/null 2>&1
module load gnu8 openmpi3

# Run the mpi program
srun /full/path/to/pi.ompi
